<?php

namespace STM\Match\Detail;

use STM\Match\Match;
use STM\Match\MatchSelection;
use STM\StmFactory;

/**
 * Test class for MatchDetail.
 * Generated by PHPUnit on 2012-07-10 at 11:12:05.
 * @group match_detail
 */
class MatchDetailTest extends \PHPUnit_Framework_TestCase {

    private $match_details;

    protected function setUp() {
        $matches = getMatches(MatchSelection::ALL_MATCHES, false, false);
        $this->match_details = array();
        foreach ($matches as $match) {
            $this->match_details[] = StmFactory::find()->MatchDetail->findById($match->getId());
        }
    }

    public function testfindById() {
        foreach ($this->match_details as $match_detail) {
            if ($match_detail) {
                parent::assertInstanceOf('\STM\Match\Detail\MatchDetail', $match_detail);
            } else {
                parent::assertFalse($match_detail);
            }
        }
    }

    public function testCreate() {
        parent::markTestSkipped('test in MatchDetailValidatorTest');
    }

    public function testUpdate() {
        parent::markTestSkipped('test in MatchDetailValidatorTest');
    }

    public function testDelete() {
        parent::markTestSkipped('Only DB fail');
    }

    public function testGet_id() {
        $this->assert_get_to_function('is_int', 'getId');
    }

    public function testGet_id_stadium() {
        $this->assert_get_to_function('is_int', 'getIdStadium');
    }

    public function testTo_array() {
        $this->assert_get_to_function('is_array', 'toArray');
    }

    private function assert_get_to_function($function, $method_name) {
        foreach ($this->match_details as $match_detail) {
            if ($match_detail) {
                parent::assertTrue($function($match_detail->$method_name()));
            }
        }
    }

}

?>
